Skip to main content
`Ctrl`+`K`

# TSTrajectorySetMaxUnitsRAM

Set maximum number of checkpointing units in RAM

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetMaxUnitsRAM(TSTrajectory tj, PetscInt max_units_ram)

Logically Collective

## Input Parameter

- tj - tstrajectory context

## Output Parameter

- max_units_ram - maximum number of checkpointing units in RAM

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectorySetMaxCpsRAM()`

## Level

intermediate

## Location

src/ts/trajectory/impls/memory/trajmemory.c

## Implementations

TSTrajectorySetMaxUnitsRAM_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages